%define upstream_name 	 File-Type
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Perl module to determine file type using magic
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/P/PA/PMISON/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
File::Type is a perl module that can be used to determine file type using
magic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/File/*
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-9.mga8
+ Revision: 1494576
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-8.mga7
+ Revision: 1268178
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-7.mga6
+ Revision: 1027622
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 942930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 745815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 684778
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 511684
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 367394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 22435
- cleaning spec file
- imported package perl-File-Type


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 406007
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.22-6mdv2009.0
+ Revision: 257038
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 0.22-4mdv2008.1
+ Revision: 166676
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 21 2007 Michael Scherer <misc@mandriva.org> 0.22-4mdv2008.0
+ Revision: 41992
- rebuild


* Thu Oct 06 2005 Michael Scherer <misc@mandriva.org> 0.22-2mdk
- mkrel
- policy compliance

* Tue Oct 05 2004 Michael Scherer <misc@mandrake.org> 0.22-1mdk 
- First Mandrakelinux package

